Subject: [AVT] draft-ietf-avt-app-rtp-keepalive-04

From: "Jaehwan Kim" <[email-masked]>
Date: Fri, 5 Dec 2008 19:48:03 +0900

Hi,

I have just on minor comment on this specification.

In 9.1.1, there is no mention if it is optional or not.

It looks that it is option from the following conversation:

Title: An optional a=rtp-keepalive SDP attribute?

http://www.nabble.com/An-optional-a%3Drtp-keepalive-SDP-attribute--td189
46383.html

And I am not sure if it is still optional with Section 4.6.

Regards,

Jaehwan

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt

---

From: "Xavier Marjou" <[email-masked]>
Date: Tue, 9 Dec 2008 15:39:42 +0100

Hi,

> In 9.1.1, there is no mention if it is optional or not.
rtp-keepalive is optional with regards to the SDP specification (RFC4566).
This does not have to be mentioned in Section 9.1.1.

However, reading again the sentence of Section 5,
>   When using SDP [RFC4566], an agent supporting the fallback solution
>  (Section 4.6) MUST indicate its support by adding an optional a=rtp-
>   keepalive SDP attribute.
it's true the sentence could be enhanced:
- the word "optional" could to be removed for clarity as there's a
MUST in the same sentence.
- a link to 9.1.1 could even be added at the end of the sentence.

This would lead to:
>   When using SDP [RFC4566], an agent supporting the fallback solution
>  (Section 4.6) MUST indicate its support by adding an a=rtp-
>   keepalive SDP attribute (Section 9.1.1).

Cheers,
Xavier & Aurelien

On Fri, Dec 5, 2008 at 11:48 AM, Jaehwan Kim <[email-masked]> wrote:
> http://www.nabble.com/An-optional-a%3Drtp-keepalive-SDP-attribute--td18946383.html
>
>
>

---

From: "Jaehwan Kim" <[email-masked]>
Date: Wed, 10 Dec 2008 11:10:33 +0900

Thank you, Xavier & Aurelien.
The given sentence is clear although we should understand RFC4566's
intention regarding 'optional'.

Regards,
Jaehwan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Xavier Marjou
Sent: Tuesday, December 09, 2008 11:40 PM
To: Jaehwan Kim
Cc: [email-masked]
Subject: Re: [AVT] draft-ietf-avt-app-rtp-keepalive-04

Hi,

> In 9.1.1, there is no mention if it is optional or not.
rtp-keepalive is optional with regards to the SDP specification
(RFC4566).
This does not have to be mentioned in Section 9.1.1.

Cheers,
Xavier & Aurelien